"use strict";

require("core-js/modules/es.array.iterator.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLoader = useLoader;

function _react() {
  const data = require("react");

  _react = function () {
    return data;
  };

  return data;
}

function _uuid() {
  const data = require("uuid");

  _uuid = function () {
    return data;
  };

  return data;
}

function _loaderContext() {
  const data = require("./loader-context");

  _loaderContext = function () {
    return data;
  };

  return data;
}

function useLoader(loading) {
  const [id] = (0, _react().useState)(() => (0, _uuid().v1)());
  const ctx = (0, _react().useContext)(_loaderContext().LoaderContext);
  (0, _react().useEffect)(() => {
    ctx.update(id, loading);
    return () => {
      ctx.remove(id);
    };
  }, [loading, ctx, id]);
}

//# sourceMappingURL=ui/global-loader/use-loader.js.map